
QGIS Application - Bug report #19599

locator bar crashes QGIS 3.2.1 GNU / Linux Mint 19

2018-08-11 05:07 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee:

Category: Actions

Affected QGIS version:3.2.1 Regression?: No

Operating System: GNU/Linux Mint 19 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27426

Description

just start QGIS Bonn and do ctrl + k the program closes

History

#1 - 2018-08-12 11:19 AM - salvatore fiandaca

- File simplescreenrecorder-2018-08-12_11.15.17.mp4 added

Object of the problem correction:

locatore bar crash QGIS

#2 - 2018-08-12 02:32 PM - Giovanni Manghi

- Subject changed from local bar crash QGIS 3.2.1 GNU / Linux Mint 19 to locator bar crashes QGIS 3.2.1 GNU / Linux Mint 19

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

How about on a clean profile?

#3 - 2018-08-12 04:10 PM - salvatore fiandaca

Giovanni Manghi wrote:

How about on a clean profile?

I have installed GNU / linux mint 19 recently and also QGIS recently, I have not installed any particular plugins only the default ones

#4 - 2018-08-12 06:11 PM - Giovanni Manghi

salvatore fiandaca wrote:

Giovanni Manghi wrote:

How about on a clean profile?
I have installed GNU / linux mint 19 recently and also QGIS recently, I have not installed any particular plugins only the default ones

data/project makes any difference?

#5 - 2018-08-12 08:02 PM - salvatore fiandaca

Giovanni Manghi wrote:

salvatore fiandaca wrote:

Giovanni Manghi wrote:

How about on a clean profile?

I have installed GNU / linux mint 19 recently and also QGIS recently, I have not installed any particular plugins only the default ones

data/project makes any difference?

I tried with various data and different projects, QGIS closes as soon as I do ctrl + k.

I add that I find extremely slow the ctrl + k also sooto win 10 but not crasha

#6 - 2018-08-12 09:36 PM - Giovanni Manghi

salvatore fiandaca wrote:

Giovanni Manghi wrote:

salvatore fiandaca wrote:

Giovanni Manghi wrote:

How about on a clean profile?

I have installed GNU / linux mint 19 recently and also QGIS recently, I have not installed any particular plugins only the default ones

data/project makes any difference?

I tried with various data and different projects, QGIS closes as soon as I do ctrl + k.

I add that I find extremely slow the ctrl + k also sooto win 10 but not crasha

what about older 3.* releases, same thing?

#7 - 2018-08-14 10:56 AM - salvatore fiandaca

Giovanni Manghi wrote:

what about older 3.* releases, same thing?
I compiled the QGIS 3.3 MASTER, the locator bar works well.

What could I do to solve the problem in 3.2.1?

#8 - 2018-08-14 11:35 AM - Giovanni Manghi

I compiled the QGIS 3.3 MASTER, the locator bar works well.

What could I do to solve the problem in 3.2.1?

does qgis-dev installed on Windows with osgeo4w works well a well?

#9 - 2018-08-14 03:51 PM - salvatore fiandaca

Giovanni Manghi wrote:

I compiled the QGIS 3.3 MASTER, the locator bar works well.

What could I do to solve the problem in 3.2.1?

does qgis-dev installed on Windows with osgeo4w works well a well?

on windows 10 I have no problems.

I compiled qgis dev on linux mint 19.

3.3.dev qgis works well

qgis 3.2.1 locator bar crashes qgis

#10 - 2018-08-14 04:06 PM - Giovanni Manghi

salvatore fiandaca wrote:

Giovanni Manghi wrote:

I compiled the QGIS 3.3 MASTER, the locator bar works well.

What could I do to solve the problem in 3.2.1?

does qgis-dev installed on Windows with osgeo4w works well a well?

on windows 10 I have no problems.

didn't you said that on Windows was very slow? is it different on QGIS master?

#11 - 2018-08-14 06:41 PM - salvatore fiandaca

Giovanni Manghi wrote:

didn't you said that on Windows was very slow? is it different on QGIS master?
in win 10 use OSGeo4w and the first use of the locator bar is very slow but then it works well: this happens for qgis 3.2.1 and 3.3 dev

in linux mint 19 crashes as soon as I do ctrl + k as attached video

#12 - 2018-08-15 12:06 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

salvatore fiandaca wrote:

Giovanni Manghi wrote:

didn't you said that on Windows was very slow? is it different on QGIS master?

in win 10 use OSGeo4w and the first use of the locator bar is very slow but then it works well: this happens for qgis 3.2.1 and 3.3 dev

in linux mint 19 crashes as soon as I do ctrl + k as attached video

but as in master is fixed then... is fixed. Can't find any probable commit for this fix, so not sure if has been backported for 3.2.2

Files

simplescreenrecorder-2018-08-12_11.15.17.mp4 1.57 MB 2018-08-12 salvatore fiandaca
